RegisterableService (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.imageio.spi
Interface RegisterableService

All Known Implementing Classes:
  IIOServiceProvider

public interface RegisterableService

An optional interface that may be provided by service provider objects that will be registered with a `ServiceRegistry`. If this interface is present, notification of registration and deregistration will be performed.

See Also:
  `ServiceRegistry`

Method Summary
`void` | `onDeregistration(ServiceRegistry registry, Class category)` Called when an object implementing this interface is removed from the given `category` of the given `registry`.
`void` | `onRegistration(ServiceRegistry registry, Class category)` Called when an object implementing this interface is added to the given `category` of the given `registry`.

Method Detail

### onRegistration

    public void onRegistration(ServiceRegistry registry,
                               Class category)

  Called when an object implementing this interface is added to the given `category` of the given `registry`. The object may already be registered under another category or categories.

  Parameters:
    `registry` - a `ServiceRegistry` where this object has been registered.
    `category` - a `Class` object indicating the registry category under which this object has been registered.

### onDeregistration

    public void onDeregistration(ServiceRegistry registry,
                                 Class category)

  Called when an object implementing this interface is removed from the given `category` of the given `registry`. The object may still be registered under another category or categories.

  Parameters:
    `registry` - a `ServiceRegistry` from which this object is being (wholly or partially) deregistered.
    `category` - a `Class` object indicating the registry category from which this object is being deregistered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.